Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.cards.model
Class InformationCard

    java.lang.Object
      org.wso2.solutions.identity.cards.model.InformationCard

All Implemented Interfaces:
  CardElement

    public class InformationCard

extends java.lang.Object
implements CardElement

Field Summary
`static javax.xml.namespace.QName` | `NAME`

Constructor Summary
`InformationCard()`

Method Summary
`CardImage` | `getCardImage()`
`java.lang.String` | `getCardName()`
`InformationCardReference` | `getInformationCardReference()`
`java.lang.String` | `getIssuer()`
`java.lang.String` | `getLang()`
`PrivacyNotice` | `getPrivacyNotice()`
`RequireAppliesTo` | `getRequireAppliesTo()`
`SupportedClaimTypeList` | `getSupportedClaimTypeList()`
`SupportedTokenTypeList` | `getSupportedTokenTypeList()`
`java.util.Date` | `getTimeExpires()`
`java.util.Date` | `getTimeIssued()`
`TokenServiceList` | `getTokenServiceList()`
`org.apache.axiom.om.OMElement` | `serialize()` Serialize this element into an OMElement
`void` | `setCardImage(CardImage cardImage)`
`void` | `setCardName(java.lang.String cardName)`
`void` | `setInformationCardReference(InformationCardReference informationCardReference)`
`void` | `setIssuer(java.lang.String issuer)`
`void` | `setLang(java.lang.String lang)`
`void` | `setPrivacyNotice(PrivacyNotice privacyNotice)`
`void` | `setRequireAppliesTo(RequireAppliesTo requireAppliesTo)`
`void` | `setSupportedClaimTypeList(SupportedClaimTypeList supportedClaimTypeList)`
`void` | `setSupportedTokenTypeList(SupportedTokenTypeList supportedTokenTypeList)`
`void` | `setTimeExpires(java.util.Date timeExpires)`
`void` | `setTimeIssued(java.util.Date timeIssued)`
`void` | `setTokenServiceList(TokenServiceList tokenServiceList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final javax.xml.namespace.QName NAME

Constructor Detail

### InformationCard

    public InformationCard()

Method Detail

### serialize

    public org.apache.axiom.om.OMElement serialize()
                                            throws CardModelException

  Description copied from interface: `CardElement`
  Serialize this element into an OMElement

  Specified by:
    `serialize` in interface `CardElement`
  Returns:
    An OMelement that encapsulates information in this element.
  Throws:
    `CardModelException`

### getCardImage

    public CardImage getCardImage()

### setCardImage

    public void setCardImage(CardImage cardImage)

### getCardName

    public java.lang.String getCardName()

### setCardName

    public void setCardName(java.lang.String cardName)

### getInformationCardReference

    public InformationCardReference getInformationCardReference()

### setInformationCardReference

    public void setInformationCardReference(InformationCardReference informationCardReference)

### getIssuer

    public java.lang.String getIssuer()

### setIssuer

    public void setIssuer(java.lang.String issuer)

### getRequireAppliesTo

    public RequireAppliesTo getRequireAppliesTo()

### setRequireAppliesTo

    public void setRequireAppliesTo(RequireAppliesTo requireAppliesTo)

### getSupportedTokenTypeList

    public SupportedTokenTypeList getSupportedTokenTypeList()

### setSupportedTokenTypeList

    public void setSupportedTokenTypeList(SupportedTokenTypeList supportedTokenTypeList)

### getTimeExpires

    public java.util.Date getTimeExpires()

### setTimeExpires

    public void setTimeExpires(java.util.Date timeExpires)

### getTimeIssued

    public java.util.Date getTimeIssued()

### setTimeIssued

    public void setTimeIssued(java.util.Date timeIssued)

### getTokenServiceList

    public TokenServiceList getTokenServiceList()

### setTokenServiceList

    public void setTokenServiceList(TokenServiceList tokenServiceList)

### getSupportedClaimTypeList

    public SupportedClaimTypeList getSupportedClaimTypeList()

### setSupportedClaimTypeList

    public void setSupportedClaimTypeList(SupportedClaimTypeList supportedClaimTypeList)

### getPrivacyNotice

    public PrivacyNotice getPrivacyNotice()

### setPrivacyNotice

    public void setPrivacyNotice(PrivacyNotice privacyNotice)

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD